> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create an environment template

POST https://api.contentful.com/organizations/{organization_id}/environment_templates
Content-Type: application/vnd.contentful.management.v1+json

This action creates an environment template in the organization repository. It implicitly creates a new version for this template.

Reference: https://contentful.com/developers/docs/references/content-management-api/content-model-templates/create-an-environment-template

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — organization_id identifier

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Resource created successfully

- `map from string to any`

## Examples

**Request**

```json
{
  "description": "My Template",
  "entities": {
    "contentTypeTemplates": [
      {
        "description": "A blogpost content type",
        "displayField": "title",
        "fields": [
          {
            "id": "title",
            "name": "title",
            "type": "Text"
          }
        ],
        "id": "blogpost",
        "name": "Blogpost"
      }
    ],
    "editorInterfaceTemplates": [
      {
        "contentTypeTemplate": {
          "sys": {
            "id": "blogpost",
            "linkType": "ContentTypeTemplate",
            "type": "Link"
          }
        },
        "controls": [
          {
            "fieldId": "title",
            "settings": {
              "helpText": "help text"
            },
            "widgetId": "urlEditor",
            "widgetNamespace": "builtin"
          }
        ]
      }
    ],
    "forTemplatedSpaces": false
  },
  "name": "my-template",
  "versionDescription": "First Version",
  "versionName": "First Version"
}
```

**Response**

```json
{
  "description": "My Template",
  "entities": {
    "contentTypeTemplates": [
      {
        "description": "A blogpost content type",
        "displayField": "title",
        "fields": [
          {
            "id": "title",
            "name": "title",
            "type": "Text"
          }
        ],
        "id": "blogpost",
        "name": "Blogpost"
      }
    ],
    "editorInterfaceTemplates": [
      {
        "contentTypeTemplate": {
          "sys": {
            "id": "blogpost",
            "linkType": "ContentTypeTemplate",
            "type": "Link"
          }
        },
        "controls": [
          {
            "fieldId": "title",
            "settings": {
              "helpText": "help text"
            },
            "widgetId": "urlEditor",
            "widgetNamespace": "builtin"
          }
        ]
      }
    ]
  },
  "forTemplatedSpaces": "false",
  "name": "my-template",
  "sys": {
    "createdAt": "2025-06-06T05:43:39.000Z",
    "createdBy": {
      "sys": {
        "id": "75cxRYbSLlWMlCrN1tZGdP",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "2nZrYQn7N7xijNAOhkKUrH",
    "organization": {
      "sys": {
        "id": "75gbeC7tWNTERE55diMpCN",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "type": "EnvironmentTemplate",
    "updatedAt": "2025-06-06T05:43:39.000Z",
    "updatedBy": {
      "sys": {
        "id": "75cxRYbSLlWMlCrN1tZGdP",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": "1"
  },
  "versionDescription": "First Version",
  "versionName": "First Version"
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const environmentTemplate = await client.environmentTemplate.create(
  {
    organizationId: '<organization_id>',
  },
  {
    name: 'My new environment template',
    versionName: '1',
    entities: {
      contentTypeTemplates: [],
      editorInterfaceTemplates: [],
    },
  }
);
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```